<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>

<form action="<?php dcPostUrl(); ?>" method="post" id="comment-form">
<fieldset>
	<?php dcCommentFormError('<div class="error"><strong>Erreurs :</strong><br /> %s</div>'); ?>
	<?php dcCommentFormMsg('<p class="msg"><strong>%s</strong></p>'); ?>
	
	
	<p class="field"><label for="c_nom">Nom ou pseudo&nbsp;:</label>
	<input name="c_nom" id="c_nom" type="text" size="30" maxlength="255"
	value="<?php dcCommentFormValue('c_nom'); ?>" class="form_text" />
	</p>

	<p class="field"><label for="c_mail">Email (facultatif)&nbsp;:</label>
	<input name="c_mail" id="c_mail" type="text" size="30" maxlength="255"
	value="<?php dcCommentFormValue('c_mail'); ?>" class="form_text" />
	</p>

	<p class="field"><label for="c_site">Site Web (facultatif)&nbsp;:</label>
	<input name="c_site" id="c_site" type="text" size="30" maxlength="255"
	value="<?php dcCommentFormValue('c_site'); ?>" class="form_text" />
	</p>
	
	<p class="field">
	<textarea name="c_content" id="c_content" cols="42" rows="7"  onmouseover="this.focus();"><?php
	dcCommentFormValue('c_content');
	?></textarea>	
	</p>
	
	<script type="text/javascript" src="/blog/ecrire/tools/smiliesmanager/js/toolbar.js"></script>
<script type="text/javascript">
	if (document.getElementById) {
		var tbSmilies = new smToolBar(document.getElementById('c_content'),'/blog/themes/smilies/');
		tbSmilies.addSmiley('angry.gif','\:angry\:','\:angry\:');
		tbSmilies.addSmiley('biggrin.gif','\:biggrin\:','\:biggrin\:');
		tbSmilies.addSmiley('blah.gif','\:blah\:','\:blah\:');
		tbSmilies.addSmiley('cheeky.gif','\:cheeky\:','\:cheeky\:');
		tbSmilies.addSmiley('confused.gif','\:confused\:','\:confused\:');
		tbSmilies.addSmiley('cry.gif','\:cry\:','\:cry\:');
		tbSmilies.addSmiley('eek.gif','\:eek\:','\:eek\:');
		tbSmilies.addSmiley('giggle.gif','\:giggle\:','\:giggle\:');
		tbSmilies.addSmiley('happy.gif','\:happy\:','\:happy\:');
		tbSmilies.addSmiley('heart.gif','\:heart\:','\:heart\:');
		tbSmilies.addSmiley('hm.gif','\:hm\:','\:hm\:');
		tbSmilies.addSmiley('hmpf.gif','\:hmpf\:','\:hmpf\:');
		tbSmilies.addSmiley('oeh.gif','\:oeh\:','\:oeh\:');
		tbSmilies.addSmiley('ooh.gif','\:ooh\:','\:ooh\:');
		tbSmilies.addSmiley('sad.gif','\:sad\:','\:sad\:');
		tbSmilies.addSmiley('tired.gif','\:tired\:','\:tired\:');
		tbSmilies.addSmiley('urg.gif','\:urg\:','\:urg\:');
		tbSmilies.addSmiley('wink.gif','\:wink\:','\:wink\:');
		tbSmilies.addSmiley('x.gif','\:xx\:','\:xx\:');
		tbSmilies.addSmiley('yay.gif','\:yay\:','\:yay\:');
		tbSmilies.addSmiley('yuck.gif','\:yuck\:','\:yuck\:');
		tbSmilies.draw('Smileys en phase de test...');
	}
</script> 
	
</fieldset>

<fieldset>	
	<p>
	<input type="checkbox" id="c_remember" name="c_remember" />Se souvenir de mes informations
	</p>
	<p><input type="submit" class="preview" name="preview" value="pr&eacute;visualiser" />
	<input type="submit" class="submit" value="envoyer" />
	<input type="hidden" name="redir" value="<?php dcCommentFormRedir(); ?>" /></p>
</fieldset>

</form>
