<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>
<div class="post">

	<div class="post-info"> 
	<h2 id="p<?php dcPostID(); ?>" class="post-title"><a href="<?php dcPostURL(); ?>"><?php dcPostTitle(); ?></a></h2>
	<div class="post-info-co"><?php dcPostDate(); ?> - <?php dcPostTime(); ?> - <a href="<?php dcPostURL(); ?>#co" title="commentaires pour : <?php dcPostTitle(); ?>"><?php dcPostNbComments('0 comments','1 comment','%s comments'); ?></a></div>
	</div>
	
	<?php dcPostChapo('<div class="post-chapo">%s</div>'); ?>
	<div class="post-content"><?php dcPostContent(); ?></div>
</div>
	
<div class="comments">
	<h2>Commentaires</h2>
	<?php if ($comments->isEmpty()) : /* Message si aucune commentaire */	?>
		<p>Hein que tu va me mettre un commentaire? Hein? Hein? Tu sais que &ccedil;a me feras super plaisir, alors tu va le faire? Hein? Hein?</p>
	<?php endif; ?>
	
	<?php while ($comments->fetch()) : /* Boucle de commentaires */
		// On met le numro du commentaire dans une variable
		$co_num = $comments->int_index+1;
	?>
		
		
		<?php /* on affiche le commentaire */ ?>
		<blockquote>plop
		<?php dcCommentContent(); ?>
		</blockquote>
		<p id="c<?php dcCommentID(); ?>" class="comment-info">
		par <strong><?php dcCommentAuthor(); ?></strong> le <?php dcCommentDate(); ?> &agrave; <?php dcCommentTime(); ?></p>
		
	<?php endwhile; ?>

</div>

<div class="commentsform">

	<h2>Talk to me baby!</h2>
	<?php if (dc_allow_comments) : /* Si les commentaires sont permis */?>
		<?php if (dc_allow_comments) : /* Si les commentaires sont permis */?>
			<?php include dirname(__FILE__).'/form.php'; ?>
		<?php endif; ?>
	<?php else : ?>
		<p>Les commentaires pour ce billet sont ferm&eacute;s.</p>
	<?php endif; ?>
<br><br>
</div>
